<!--아코디언-->
<!DOCTYPE html>
<html>
  <head> </head>
  <body>
    <!-- <div class="container">
      <div class="title">
        <p>텍스트 내용</p>
      </div>
      <div class="section">
        <p>더 보기 내용</p>
        <p>더 보기 더 보기</p>
        <p>더 보기 내용</p>
        <p>더 보기 더 보기</p>
        <p>더 보기 내용</p>
        <p>더 보기 더 보기</p>
      </div>
    </div> -->
    <style>
      * {
        box-sizing: border-box;
      }
      .title {
        height: auto;
      }
      .section {
        transition: max-height 1s ease-out;
        max-height: 0;
        overflow: hidden;
      }
      .section.stretched {
        max-height: 600px;
      }
    </style>
    <script>
      function createAcordian() {
        //
        const wrapper = document.createElement("div");
        const title = document.createElement("div");
        const content = document.createElement("div");

        title.textContent = "제목";
        title.classList.add("title");
        content.textContent = "내용";
        content.classList.add("section");

        wrapper.append(title, content);
        document.body.appendChild(wrapper);

        //
        title.addEventListener("click", function () {
          content.classList.toggle("stretched");
        });
      }

      function init() {
        createAcordian();
        createAcordian();
      }

      init();
    </script>
  </body>
</html>
